diff --git a/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp b/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
index c040d6e7..e8e68e5a 100644
--- a/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
+++ b/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
@@ -2312,11 +1633,7 @@ RTI1516ambassador::getObjectInstanceHandle(std::wstring const& theName) throw(rt
 }
 
 // 10.11
-std::wstring RTI1516ambassador::getObjectInstanceName(rti1516e::ObjectInstanceHandle theHandle) throw(
-    rti1516e::ObjectInstanceNotKnown,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+std::wstring RTI1516ambassador::getObjectInstanceName(rti1516e::ObjectInstanceHandle theHandle)
 {
     M_Get_Object_Instance_Name req, rep;
     req.setObject(rti1516e::ObjectInstanceHandleFriend::toCertiHandle(theHandle));
@@ -2331,11 +1648,7 @@ std::wstring RTI1516ambassador::getObjectInstanceName(rti1516e::ObjectInstanceHa
 
 rti1516e::AttributeHandle
 RTI1516ambassador::getAttributeHandle(rti1516e::ObjectClassHandle whichClass,
-                                      std::wstring const& theAttributeName) throw(rti1516e::InvalidObjectClassHandle,
-                                                                                  rti1516e::NameNotFound,
-                                                                                  rti1516e::FederateNotExecutionMember,
-                                                                                  rti1516e::NotConnected,
-                                                                                  rti1516e::RTIinternalError)
+                                      std::wstring const& theAttributeName)
 {
     Debug(G, pdGendoc) << "enter RTI::RTI1516ambassador::getAttributeHandle" << std::endl;
     M_Get_Attribute_Handle req, rep;
@@ -2362,12 +1675,7 @@ RTI1516ambassador::getAttributeHandle(rti1516e::ObjectClassHandle whichClass,
 
 std::wstring
 RTI1516ambassador::getAttributeName(rti1516e::ObjectClassHandle whichClass,
-                                    rti1516e::AttributeHandle theHandle) throw(rti1516e::InvalidObjectClassHandle,
-                                                                               rti1516e::InvalidAttributeHandle,
-                                                                               rti1516e::AttributeNotDefined,
-                                                                               rti1516e::FederateNotExecutionMember,
-                                                                               rti1516e::NotConnected,
-                                                                               rti1516e::RTIinternalError)
+                                    rti1516e::AttributeHandle theHandle)
 {
     M_Get_Attribute_Name req, rep;
 
@@ -2402,11 +1710,7 @@ RTI1516ambassador::getAttributeName(rti1516e::ObjectClassHandle whichClass,
 }
 
 // 10.13
-double RTI1516ambassador::getUpdateRateValue(std::wstring const& /*updateRateDesignator*/) throw(
-    rti1516e::InvalidUpdateRateDesignator,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+double RTI1516ambassador::getUpdateRateValue(std::wstring const& /*updateRateDesignator*/)
 {
     throw rti1516e::RTIinternalError(L"getUpdateRateValue Not Implemented");
 }
@@ -2414,18 +1718,13 @@ double RTI1516ambassador::getUpdateRateValue(std::wstring const& /*updateRateDes
 // 10.14
 double RTI1516ambassador::getUpdateRateValueForAttribute(
     rti1516e::ObjectInstanceHandle /*theObject*/,
-    rti1516e::AttributeHandle /*theAttribute*/) throw(rti1516e::ObjectInstanceNotKnown,
-                                                      rti1516e::AttributeNotDefined,
-                                                      rti1516e::FederateNotExecutionMember,
-                                                      rti1516e::NotConnected,
-                                                      rti1516e::RTIinternalError)
+    rti1516e::AttributeHandle /*theAttribute*/)
 {
     throw rti1516e::RTIinternalError(L"getUpdateRateValueForAttributeNot Implemented");
 }
 
 // 10.6
-rti1516e::InteractionClassHandle RTI1516ambassador::getInteractionClassHandle(std::wstring const& theName) throw(
-    rti1516e::NameNotFound, rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
+rti1516e::InteractionClassHandle RTI1516ambassador::getInteractionClassHandle(std::wstring const& theName)
 {
     M_Get_Interaction_Class_Handle req, rep;
     std::string nameString(theName.begin(), theName.end());
@@ -2437,11 +1736,7 @@ rti1516e::InteractionClassHandle RTI1516ambassador::getInteractionClassHandle(st
 }
 
 // 10.7
-std::wstring RTI1516ambassador::getInteractionClassName(rti1516e::InteractionClassHandle theHandle) throw(
-    rti1516e::InvalidInteractionClassHandle,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+std::wstring RTI1516ambassador::getInteractionClassName(rti1516e::InteractionClassHandle theHandle)
 {
     M_Get_Interaction_Class_Name req, rep;
     req.setInteractionClass(rti1516e::InteractionClassHandleFriend::toCertiHandle(theHandle));
@@ -2467,11 +1762,7 @@ std::wstring RTI1516ambassador::getInteractionClassName(rti1516e::InteractionCla
 // 10.8
 rti1516e::ParameterHandle
 RTI1516ambassador::getParameterHandle(rti1516e::InteractionClassHandle whichClass,
-                                      std::wstring const& theName) throw(rti1516e::InvalidInteractionClassHandle,
-                                                                         rti1516e::NameNotFound,
-                                                                         rti1516e::FederateNotExecutionMember,
-                                                                         rti1516e::NotConnected,
-                                                                         rti1516e::RTIinternalError)
+                                      std::wstring const& theName)
 {
     M_Get_Parameter_Handle req, rep;
     std::string nameString(theName.begin(), theName.end());
@@ -2496,12 +1787,7 @@ RTI1516ambassador::getParameterHandle(rti1516e::InteractionClassHandle whichClas
 // 10.9
 std::wstring
 RTI1516ambassador::getParameterName(rti1516e::InteractionClassHandle whichClass,
-                                    rti1516e::ParameterHandle theHandle) throw(rti1516e::InvalidInteractionClassHandle,
-                                                                               rti1516e::InvalidParameterHandle,
-                                                                               rti1516e::InteractionParameterNotDefined,
-                                                                               rti1516e::FederateNotExecutionMember,
-                                                                               rti1516e::NotConnected,
-                                                                               rti1516e::RTIinternalError)
+                                    rti1516e::ParameterHandle theHandle)
 {
     M_Get_Parameter_Name req, rep;
 
@@ -2529,10 +1815,7 @@ RTI1516ambassador::getParameterName(rti1516e::InteractionClassHandle whichClass,
 
 // 10.20
 rti1516e::OrderType
-RTI1516ambassador::getOrderType(std::wstring const& orderName) throw(rti1516e::InvalidOrderName,
-                                                                     rti1516e::FederateNotExecutionMember,
-                                                                     rti1516e::NotConnected,
-                                                                     rti1516e::RTIinternalError)
+RTI1516ambassador::getOrderType(std::wstring const& orderName)
 {
     M_Get_Ordering_Handle req, rep;
 
@@ -2544,10 +1827,7 @@ RTI1516ambassador::getOrderType(std::wstring const& orderName) throw(rti1516e::I
 }
 
 // 10.21
-std::wstring RTI1516ambassador::getOrderName(rti1516e::OrderType orderType) throw(rti1516e::InvalidOrderType,
-                                                                                  rti1516e::FederateNotExecutionMember,
-                                                                                  rti1516e::NotConnected,
-                                                                                  rti1516e::RTIinternalError)
+std::wstring RTI1516ambassador::getOrderName(rti1516e::OrderType orderType)
 {
     M_Get_Ordering_Name req, rep;
 
@@ -2562,11 +1842,7 @@ std::wstring RTI1516ambassador::getOrderName(rti1516e::OrderType orderType) thro
 }
 
 // 10.18
-rti1516e::TransportationType RTI1516ambassador::getTransportationType(std::wstring const& transportationName) throw(
-    rti1516e::InvalidTransportationName,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+rti1516e::TransportationType RTI1516ambassador::getTransportationType(std::wstring const& transportationName)
 {
     M_Get_Transportation_Handle req, rep;
     std::string nameString(transportationName.begin(), transportationName.end());
@@ -2577,11 +1853,7 @@ rti1516e::TransportationType RTI1516ambassador::getTransportationType(std::wstri
 }
 
 // 10.19
-std::wstring RTI1516ambassador::getTransportationName(rti1516e::TransportationType transportationType) throw(
-    rti1516e::InvalidTransportationType,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+std::wstring RTI1516ambassador::getTransportationName(rti1516e::TransportationType transportationType)
 {
     M_Get_Transportation_Name req, rep;
 
@@ -2598,12 +1870,7 @@ std::wstring RTI1516ambassador::getTransportationName(rti1516e::TransportationTy
 // 10.15
 rti1516e::DimensionHandleSet RTI1516ambassador::getAvailableDimensionsForClassAttribute(
     rti1516e::ObjectClassHandle theClass,
-    rti1516e::AttributeHandle theHandle) throw(rti1516e::InvalidObjectClassHandle,
-                                               rti1516e::InvalidAttributeHandle,
-                                               rti1516e::AttributeNotDefined,
-                                               rti1516e::FederateNotExecutionMember,
-                                               rti1516e::NotConnected,
-                                               rti1516e::RTIinternalError)
+    rti1516e::AttributeHandle theHandle)
 {
     M_Get_Attribute_Space_Handle req, rep;
 
@@ -2619,10 +1886,7 @@ rti1516e::DimensionHandleSet RTI1516ambassador::getAvailableDimensionsForClassAt
 
 // 10.17
 rti1516e::DimensionHandleSet RTI1516ambassador::getAvailableDimensionsForInteractionClass(
-    rti1516e::InteractionClassHandle theClass) throw(rti1516e::InvalidInteractionClassHandle,
-                                                     rti1516e::FederateNotExecutionMember,
-                                                     rti1516e::NotConnected,
-                                                     rti1516e::RTIinternalError)
+    rti1516e::InteractionClassHandle theClass)
 {
     M_Get_Interaction_Space_Handle req, rep;
 
@@ -2636,8 +1900,7 @@ rti1516e::DimensionHandleSet RTI1516ambassador::getAvailableDimensionsForInterac
 }
 
 // 10.12
-rti1516e::DimensionHandle RTI1516ambassador::getDimensionHandle(std::wstring const& theName) throw(
-    rti1516e::NameNotFound, rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
+rti1516e::DimensionHandle RTI1516ambassador::getDimensionHandle(std::wstring const& theName)
 {
     M_Get_Dimension_Handle req, rep;
 
@@ -2650,10 +1913,7 @@ rti1516e::DimensionHandle RTI1516ambassador::getDimensionHandle(std::wstring con
 
 // 10.13
 std::wstring
-RTI1516ambassador::getDimensionName(rti1516e::DimensionHandle theHandle) throw(rti1516e::InvalidDimensionHandle,
-                                                                               rti1516e::FederateNotExecutionMember,
-                                                                               rti1516e::NotConnected,
-                                                                               rti1516e::RTIinternalError)
+RTI1516ambassador::getDimensionName(rti1516e::DimensionHandle theHandle)
 {
     M_Get_Dimension_Name req, rep;
 
@@ -2668,11 +1928,7 @@ RTI1516ambassador::getDimensionName(rti1516e::DimensionHandle theHandle) throw(r
 }
 
 // 10.14
-unsigned long RTI1516ambassador::getDimensionUpperBound(rti1516e::DimensionHandle /*theHandle*/) throw(
-    rti1516e::InvalidDimensionHandle,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+unsigned long RTI1516ambassador::getDimensionUpperBound(rti1516e::DimensionHandle /*theHandle*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"getDimensionUpperBound Not implemented");
@@ -2680,13 +1936,7 @@ unsigned long RTI1516ambassador::getDimensionUpperBound(rti1516e::DimensionHandl
 
 // 10.30
 
-rti1516e::DimensionHandleSet RTI1516ambassador::getDimensionHandleSet(rti1516e::RegionHandle /*theRegionHandle*/) throw(
-    rti1516e::InvalidRegion,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+rti1516e::DimensionHandleSet RTI1516ambassador::getDimensionHandleSet(rti1516e::RegionHandle /*theRegionHandle*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"getDimensionHandleSet Not implemented");
@@ -2696,13 +1946,7 @@ rti1516e::DimensionHandleSet RTI1516ambassador::getDimensionHandleSet(rti1516e::
 
 rti1516e::RangeBounds RTI1516ambassador::getRangeBounds(
     rti1516e::RegionHandle /*theRegionHandle*/,
-    rti1516e::DimensionHandle /*theDimensionHandle*/) throw(rti1516e::InvalidRegion,
-                                                            rti1516e::RegionDoesNotContainSpecifiedDimension,
-                                                            rti1516e::FederateNotExecutionMember,
-                                                            rti1516e::SaveInProgress,
-                                                            rti1516e::RestoreInProgress,
-                                                            rti1516e::NotConnected,
-                                                            rti1516e::RTIinternalError)
+    rti1516e::DimensionHandle /*theDimensionHandle*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"getRangeBounds Not implemented");
@@ -2712,37 +1956,21 @@ rti1516e::RangeBounds RTI1516ambassador::getRangeBounds(
 void RTI1516ambassador::setRangeBounds(
     rti1516e::RegionHandle /*theRegionHandle*/,
     rti1516e::DimensionHandle /*theDimensionHandle*/,
-    rti1516e::RangeBounds const& /*theRangeBounds*/) throw(rti1516e::InvalidRegion,
-                                                           rti1516e::RegionNotCreatedByThisFederate,
-                                                           rti1516e::RegionDoesNotContainSpecifiedDimension,
-                                                           rti1516e::InvalidRangeBound,
-                                                           rti1516e::FederateNotExecutionMember,
-                                                           rti1516e::SaveInProgress,
-                                                           rti1516e::RestoreInProgress,
-                                                           rti1516e::NotConnected,
-                                                           rti1516e::RTIinternalError)
+    rti1516e::RangeBounds const& /*theRangeBounds*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"setRangeBounds Not implemented");
 }
 
 // 10.33
-unsigned long RTI1516ambassador::normalizeFederateHandle(rti1516e::FederateHandle /*theFederateHandle*/) throw(
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::InvalidFederateHandle,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+unsigned long RTI1516ambassador::normalizeFederateHandle(rti1516e::FederateHandle /*theFederateHandle*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"normalizeFederateHandle Not implemented");
 }
 
 // 10.34
-unsigned long RTI1516ambassador::normalizeServiceGroup(rti1516e::ServiceGroup /*theServiceGroup*/) throw(
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::InvalidServiceGroup,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+unsigned long RTI1516ambassador::normalizeServiceGroup(rti1516e::ServiceGroup /*theServiceGroup*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"normalizeServiceGroup Not implemented");
@@ -2767,13 +1995,7 @@ unsigned long RTI1516ambassador::normalizeServiceGroup(rti1516e::ServiceGroup /*
  * stopRegistrationForObjectClass respectively are not invoked.
  * @see disableClassRelevanceAdvisorySwitch()
  */
-void RTI1516ambassador::enableObjectClassRelevanceAdvisorySwitch() throw(
-    rti1516e::ObjectClassRelevanceAdvisorySwitchIsOn,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::enableObjectClassRelevanceAdvisorySwitch()
 {
     M_Enable_Class_Relevance_Advisory_Switch req, rep;
     p->executeService(&req, &rep);
@@ -2798,13 +2020,7 @@ void RTI1516ambassador::enableObjectClassRelevanceAdvisorySwitch() throw(
  * services startRegistrationForObjectClass and
  * stopRegistrationForObjectClass respectively are not invoked.
  */
-void RTI1516ambassador::disableObjectClassRelevanceAdvisorySwitch() throw(
-    rti1516e::ObjectClassRelevanceAdvisorySwitchIsOff,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::disableObjectClassRelevanceAdvisorySwitch()
 {
     M_Disable_Class_Relevance_Advisory_Switch req, rep;
     p->executeService(&req, &rep);
@@ -2830,12 +2046,7 @@ void RTI1516ambassador::disableObjectClassRelevanceAdvisorySwitch() throw(
  * turnUpdatesOffForObjectInstance respectively are not invoked.
  * @see disableAttributeRelevanceAdvisorySwitch()
  */
-void RTI1516ambassador::enableAttributeRelevanceAdvisorySwitch() throw(rti1516e::AttributeRelevanceAdvisorySwitchIsOn,
-                                                                       rti1516e::FederateNotExecutionMember,
-                                                                       rti1516e::SaveInProgress,
-                                                                       rti1516e::RestoreInProgress,
-                                                                       rti1516e::NotConnected,
-                                                                       rti1516e::RTIinternalError)
+void RTI1516ambassador::enableAttributeRelevanceAdvisorySwitch()
 {
     M_Enable_Attribute_Relevance_Advisory_Switch req, rep;
     p->executeService(&req, &rep);
@@ -2861,12 +2072,7 @@ void RTI1516ambassador::enableAttributeRelevanceAdvisorySwitch() throw(rti1516e:
  * services turnUpdatesOnForObjectInstance and
  * turnUpdatesOffForObjectInstance respectively are not invoked.
  */
-void RTI1516ambassador::disableAttributeRelevanceAdvisorySwitch() throw(rti1516e::AttributeRelevanceAdvisorySwitchIsOff,
-                                                                        rti1516e::FederateNotExecutionMember,
-                                                                        rti1516e::SaveInProgress,
-                                                                        rti1516e::RestoreInProgress,
-                                                                        rti1516e::NotConnected,
-                                                                        rti1516e::RTIinternalError)
+void RTI1516ambassador::disableAttributeRelevanceAdvisorySwitch()
 {
     M_Disable_Attribute_Relevance_Advisory_Switch req, rep;
     p->executeService(&req, &rep);
@@ -2891,12 +2097,7 @@ void RTI1516ambassador::disableAttributeRelevanceAdvisorySwitch() throw(rti1516e
  * not invoked.
  * @see disableAttributeScopeAdvisorySwitch()
  */
-void RTI1516ambassador::enableAttributeScopeAdvisorySwitch() throw(rti1516e::AttributeScopeAdvisorySwitchIsOn,
-                                                                   rti1516e::FederateNotExecutionMember,
-                                                                   rti1516e::SaveInProgress,
-                                                                   rti1516e::RestoreInProgress,
-                                                                   rti1516e::NotConnected,
-                                                                   rti1516e::RTIinternalError)
+void RTI1516ambassador::enableAttributeScopeAdvisorySwitch()
 {
     M_Enable_Attribute_Scope_Advisory_Switch req, rep;
     p->executeService(&req, &rep);
@@ -2921,12 +2122,7 @@ void RTI1516ambassador::enableAttributeScopeAdvisorySwitch() throw(rti1516e::Att
  * services attributesInScope and attributesOutScope respectively are
  * not invoked.
  */
-void RTI1516ambassador::disableAttributeScopeAdvisorySwitch() throw(rti1516e::AttributeScopeAdvisorySwitchIsOff,
-                                                                    rti1516e::FederateNotExecutionMember,
-                                                                    rti1516e::SaveInProgress,
-                                                                    rti1516e::RestoreInProgress,
-                                                                    rti1516e::NotConnected,
-                                                                    rti1516e::RTIinternalError)
+void RTI1516ambassador::disableAttributeScopeAdvisorySwitch()
 {
     M_Disable_Attribute_Scope_Advisory_Switch req, rep;
     p->executeService(&req, &rep);
@@ -2951,13 +2147,7 @@ void RTI1516ambassador::disableAttributeScopeAdvisorySwitch() throw(rti1516e::At
  * not invoked.
  * @see disableInteractionRelevanceAdvisorySwitch()
  */
-void RTI1516ambassador::enableInteractionRelevanceAdvisorySwitch() throw(
-    rti1516e::InteractionRelevanceAdvisorySwitchIsOn,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::enableInteractionRelevanceAdvisorySwitch()
 {
     M_Enable_Interaction_Relevance_Advisory_Switch req, rep;
     p->executeService(&req, &rep);
@@ -2982,21 +2172,14 @@ void RTI1516ambassador::enableInteractionRelevanceAdvisorySwitch() throw(
  * services turnInteractionsOn and turnInteractionsOff respectively are
  * not invoked.
  */
-void RTI1516ambassador::disableInteractionRelevanceAdvisorySwitch() throw(
-    rti1516e::InteractionRelevanceAdvisorySwitchIsOff,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::disableInteractionRelevanceAdvisorySwitch()
 {
     M_Disable_Interaction_Relevance_Advisory_Switch req, rep;
     p->executeService(&req, &rep);
 }
 
 // 10.37
-bool RTI1516ambassador::evokeCallback(double approximateMinimumTimeInSeconds) throw(
-    rti1516e::CallNotAllowedFromWithinCallback, rti1516e::RTIinternalError)
+bool RTI1516ambassador::evokeCallback(double approximateMinimumTimeInSeconds)
 {
     return __tick_kernel(false, approximateMinimumTimeInSeconds, approximateMinimumTimeInSeconds);
 }
@@ -3004,100 +2187,79 @@ bool RTI1516ambassador::evokeCallback(double approximateMinimumTimeInSeconds) th
 // 10.38
 bool RTI1516ambassador::evokeMultipleCallbacks(
     double approximateMinimumTimeInSeconds,
-    double approximateMaximumTimeInSeconds) throw(rti1516e::CallNotAllowedFromWithinCallback,
-                                                  rti1516e::RTIinternalError)
+    double approximateMaximumTimeInSeconds)
 {
     return __tick_kernel(true, approximateMinimumTimeInSeconds, approximateMaximumTimeInSeconds);
 }
 
 // 10.39
-void RTI1516ambassador::enableCallbacks() throw(rti1516e::SaveInProgress,
-                                                rti1516e::RestoreInProgress,
-                                                rti1516e::RTIinternalError)
+void RTI1516ambassador::enableCallbacks()
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"enableCallbacks Not implemented");
 }
 
 // 10.40
-void RTI1516ambassador::disableCallbacks() throw(rti1516e::SaveInProgress,
-                                                 rti1516e::RestoreInProgress,
-                                                 rti1516e::RTIinternalError)
+void RTI1516ambassador::disableCallbacks()
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"disableCallbacks Not implemented");
 }
 
 std::auto_ptr<rti1516e::LogicalTimeFactory> RTI1516ambassador::getTimeFactory() const
-    throw(rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
 {
     /* FIXME this must be fixed ASAP */
     throw rti1516e::RTIinternalError(L"getTimeFactory Not Implemented");
 }
 
 rti1516e::FederateHandle RTI1516ambassador::decodeFederateHandle(rti1516e::VariableLengthData const& encodedValue) const
-    throw(rti1516e::CouldNotDecode,
-          rti1516e::FederateNotExecutionMember,
-          rti1516e::NotConnected,
-          rti1516e::RTIinternalError)
 {
     return rti1516e::FederateHandleFriend::createRTI1516Handle(encodedValue);
 }
 
 rti1516e::ObjectClassHandle
-RTI1516ambassador::decodeObjectClassHandle(rti1516e::VariableLengthData const& encodedValue) const throw(
-    rti1516e::CouldNotDecode, rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
+RTI1516ambassador::decodeObjectClassHandle(rti1516e::VariableLengthData const& encodedValue) const
 {
     return rti1516e::ObjectClassHandleFriend::createRTI1516Handle(encodedValue);
 }
 
 rti1516e::InteractionClassHandle
-RTI1516ambassador::decodeInteractionClassHandle(rti1516e::VariableLengthData const& encodedValue) const throw(
-    rti1516e::CouldNotDecode, rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
+RTI1516ambassador::decodeInteractionClassHandle(rti1516e::VariableLengthData const& encodedValue) const
 {
     return rti1516e::InteractionClassHandleFriend::createRTI1516Handle(encodedValue);
 }
 
 rti1516e::ObjectInstanceHandle
-RTI1516ambassador::decodeObjectInstanceHandle(rti1516e::VariableLengthData const& encodedValue) const throw(
-    rti1516e::CouldNotDecode, rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
+RTI1516ambassador::decodeObjectInstanceHandle(rti1516e::VariableLengthData const& encodedValue) const
 {
     return rti1516e::ObjectInstanceHandleFriend::createRTI1516Handle(encodedValue);
 }
 
 rti1516e::AttributeHandle
-RTI1516ambassador::decodeAttributeHandle(rti1516e::VariableLengthData const& encodedValue) const throw(
-    rti1516e::CouldNotDecode, rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
+RTI1516ambassador::decodeAttributeHandle(rti1516e::VariableLengthData const& encodedValue) const
 {
     return rti1516e::AttributeHandleFriend::createRTI1516Handle(encodedValue);
 }
 
 rti1516e::ParameterHandle
-RTI1516ambassador::decodeParameterHandle(rti1516e::VariableLengthData const& encodedValue) const throw(
-    rti1516e::CouldNotDecode, rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
+RTI1516ambassador::decodeParameterHandle(rti1516e::VariableLengthData const& encodedValue) const
 {
     return rti1516e::ParameterHandleFriend::createRTI1516Handle(encodedValue);
 }
 
 rti1516e::DimensionHandle
-RTI1516ambassador::decodeDimensionHandle(rti1516e::VariableLengthData const& encodedValue) const throw(
-    rti1516e::CouldNotDecode, rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
+RTI1516ambassador::decodeDimensionHandle(rti1516e::VariableLengthData const& encodedValue) const
 {
     return rti1516e::DimensionHandleFriend::createRTI1516Handle(encodedValue);
 }
 
 rti1516e::MessageRetractionHandle
-RTI1516ambassador::decodeMessageRetractionHandle(rti1516e::VariableLengthData const& encodedValue) const throw(
-    rti1516e::CouldNotDecode, rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
+RTI1516ambassador::decodeMessageRetractionHandle(rti1516e::VariableLengthData const& encodedValue) const
 {
     return rti1516e::MessageRetractionHandleFriend::createRTI1516Handle(encodedValue);
 }
 
 rti1516e::RegionHandle RTI1516ambassador::decodeRegionHandle(rti1516e::VariableLengthData const& encodedValue) const
-    throw(rti1516e::CouldNotDecode,
-          rti1516e::FederateNotExecutionMember,
-          rti1516e::NotConnected,
-          rti1516e::RTIinternalError)
 {
     return rti1516e::RegionHandleFriend::createRTI1516Handle(encodedValue);
 }
